package com.winhc.bigdata.spark.const

/**
 * @Author: XuJiakai
 * @Date: 2020/7/16 10:48
 * @Description:
 */
object CaseChanceConst {
  //九大类type
  val TABLE_2_TYPE = Map(
    "" -> "1"
    , "" -> "2"
    , "company_bid" -> "3"
    , "company_land_transfer" -> "3"
    , "company_tm" -> "3"
    , "company_patent" -> "3"
    , "company_certificate" -> "3"
    , "company_copyright_works" -> "3"
    , "company_copyright_reg" -> "3"
    , "company_employment" -> "3"
    , "company_land_announcement" -> "3"
    , "company_land_publicity" -> "3"
    , "company_dishonest_info" -> "3"//失信人
    , "company_zxr_restrict" -> "3"//限高
    , "company_zxr" -> "3"//被执
    , "company_court_open_announcement" -> "3"//开庭
    , "wenshu_detail_v2" -> "3"//文书
    , "bankruptcy_open_case" -> "9"//破产
    , "company_holder" -> "3"//股东
    , "company_equity_info" -> "3"//出质人
    , "company_court_announcement" -> "7"//法院公告-原告
    , "company_court_announcement_v1" -> "8"//法院公告-被告
    , "wenshu_detail_v2_yg_yishen" -> "5"//裁判文书 - 原告 - 一审
    , "wenshu_detail_v2_yg_zhongben" -> "6"//裁判文书 - 原告 - 终本
    , "wenshu_detail_v2_bg_yishen" -> "4"//裁判文书 - 被告 - 一审
  )

  //利好消息祥细type
  val CHANCE_DYNAMIC_TYPE = Map(
    /*"" -> "3-1" //企业增资
    , "" -> "3-2" //企业新增对外投资
    , "company_bid" -> "3-3" //新增招投标
    , "" -> "3-4" //新增招聘
    , "" -> "3-5" //地块公示
    , "" -> "3-6" //购地信息
    , "company_land_transfer" -> "3-7" //土地转让
    ,*/
    "bankruptcy_open_case" -> "0" //破产公告
    ,"company_bid" -> "3" //新增招投标
    , "company_employment" -> "4" //新增招聘
    , "company_land_publicity" -> "5" //地块公示
    , "company_land_announcement" -> "6" //购地信息
    , "company_land_transfer" -> "7" //土地转让
    , "company_tm" -> "8" //知识产权-商标
    , "company_patent" -> "9" //专利
    , "company_certificate" -> "10" //资质证书   X
    , "company_copyright_works" -> "11" //作品著作权
    , "company_copyright_reg" -> "12" //软件著作权
    , "company_dishonest_info" -> "13" //失信人
    , "company_zxr_restrict" -> "14" //限高
    , "company_zxr" -> "15" //被执
    , "company_court_open_announcement" -> "16" //开庭
    , "company_court_announcement" -> "0" //法院公告-原告
    , "company_court_announcement_v1" -> "0" //法院公告-被告
    , "wenshu_detail_v2_yg_yishen" -> "0" //裁判文书 - 原告 - 一审
    , "wenshu_detail_v2_yg_zhongben" -> "0" //裁判文书 - 原告 - 终本
    , "wenshu_detail_v2_bg_yishen" -> "0" //裁判文书 - 被告 - 一审
    , "wenshu_detail_v2" -> "17" //文书 - 恢复执行
    , "company_holder" -> "18" //股东
    , "company_equity_info" -> "19" //出质人
  )
}
